blog-post-by-slug
GET
/api/v1/blog/posts/{slug}
const url = 'https://trongas.ai/api/v1/blog/posts/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://trongas.ai/api/v1/blog/posts/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”slug
required
string
Query Parameters
Section titled “Query Parameters”locale
string
Responses
Section titled “Responses”OK
object
slug
required
string
title
required
string
excerpt
required
string
coverImageUrl
required
null | string
categorySlug
required
string
categoryName
required
string
contentJson
required
string
publishedAt
required
string format: date-time
metaTitle
required
null | string
metaDescription
required
null | string
isTranslated
required
boolean
object
slug
required
string
title
required
string
excerpt
required
string
coverImageUrl
required
null | string
categorySlug
required
string
categoryName
required
string
contentJson
required
string
publishedAt
required
string format: date-time
metaTitle
required
null | string
metaDescription
required
null | string
isTranslated
required
boolean
Examplegenerated
{ "slug": "example", "title": "example", "excerpt": "example", "coverImageUrl": "example", "categorySlug": "example", "categoryName": "example", "contentJson": "example", "publishedAt": "2026-04-15T12:00:00Z", "metaTitle": "example", "metaDescription": "example", "isTranslated": true}object
slug
required
string
title
required
string
excerpt
required
string
coverImageUrl
required
null | string
categorySlug
required
string
categoryName
required
string
contentJson
required
string
publishedAt
required
string format: date-time
metaTitle
required
null | string
metaDescription
required
null | string
isTranslated
required
boolean
Examplegenerated
{ "slug": "example", "title": "example", "excerpt": "example", "coverImageUrl": "example", "categorySlug": "example", "categoryName": "example", "contentJson": "example", "publishedAt": "2026-04-15T12:00:00Z", "metaTitle": "example", "metaDescription": "example", "isTranslated": true}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}